Skip to main content
POST
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Volunteers
Create a Volunteer
curl --request POST \
  --url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactIndividualId": "<integer>"
}
'
{
  "id": "<integer>",
  "volunteerUrl": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "displayName": "<string>",
  "firstName": "<string>",
  "avatarUrl": "<string>",
  "primaryPhone": "<string>",
  "primaryEmail": "<string>",
  "totalHours": "<double>",
  "timesVolunteered": "<integer>",
  "volunteerAttendanceUrl": "<string>",
  "volunteerOpportunityId": "<integer>",
  "volunteerOpportunityUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

volunteerOpportunityId
string
required

(Required) The volunteer opportunity identifier.

Body

application/json
contactIndividualId
string

Response

OK

id
string
volunteerUrl
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
contactId
string
contactUrl
string
displayName
string
firstName
string
avatarUrl
string
primaryPhone
string
primaryEmail
string
totalHours
string
timesVolunteered
string
volunteerAttendanceUrl
string
volunteerOpportunityId
string
volunteerOpportunityUrl
string
Last modified on June 5, 2026